#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
////////////////////////////////////////////////////////////////////////////////
//  Copyright Syncfusion Inc. 2003 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
//  Essential Diagram
//     Author:  Jeff Boenig
//     Created: March 2003
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;

using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;

namespace Syncfusion.Windows.Forms.Diagram.Samples.DiagramTool
{
	/// <summary>
	/// Summary description for DiagramForm.
	/// </summary>
  public class DiagramForm: System.Windows.Forms.Form
  {
    private Syncfusion.Windows.Forms.Tools.XPMenus.ChildFrameBarManager childFrameBarManager;
    private System.Windows.Forms.ImageList smBarItemImages;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemSelect;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemLine;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRectangle;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemEllipse;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemText;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPolyline;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPolygon;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemArc;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemCurve;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemClosedCurve;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemImage;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemGroup;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemUngroup;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemBringToFront;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemSendToBack;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemBringForward;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemSendBackward;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemNudgeUp;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemNudgeDown;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemNudgeLeft;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemNudgeRight;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRotate;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRotateLeft;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRotateRight;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemFlipVertical;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemFlipHorizontal;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barDrawing;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barNode;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barNudge;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barRotate;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPan;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;
    private System.ComponentModel.IContainer components;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemShowGrid;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemSnapToGrid;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemZoom;
    private Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem comboBoxBarItemMagnification;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOrthogonalLink;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemEditVertices;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemLink;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barLinks;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDirectedLink;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemArcLink;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRichText;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRoundRect;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemBoldText;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemAlignTextLeft;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemCenterText;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemAlignTextRight;
    private Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem comboBoxBarItemFontFamily;
    private Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem comboBoxBarItemPointSize;
    private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar2;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemItalicText;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemUnderlineText;
    private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemTextColor;
    private Syncfusion.Windows.Forms.Tools.TabControlAdv tabControlAdv1;
    private System.Windows.Forms.Splitter splitter1;
    private Syncfusion.Windows.Forms.Tools.TabPageAdv tabPageAdv1;
    private Syncfusion.Windows.Forms.Tools.TabPageAdv tabPageAdv2;
    private Syncfusion.Windows.Forms.Tools.TabPageAdv tabPageAdv3;
    private Syncfusion.Windows.Forms.Tools.GradientPanel gradientPanel1;
    private Syncfusion.Windows.Forms.Tools.GradientPanel gradientPanel2;
    private Syncfusion.Windows.Forms.Tools.GradientPanel gradientPanel3;
    private Syncfusion.Windows.Forms.Grid.GridControl PropertyGrid;
    private System.Windows.Forms.ContextMenu contextMenu;
    private System.Windows.Forms.MenuItem popAdd;
    private System.Windows.Forms.MenuItem popRemove;
    private System.Windows.Forms.MenuItem popAddRef;
    private System.Windows.Forms.MenuItem popAddChild;
    private System.Windows.Forms.MenuItem popRemoveRef;
    private System.Windows.Forms.MenuItem popRemoveChild;
    private System.Windows.Forms.OpenFileDialog openFileDialog;
    private Syncfusion.Windows.Forms.Diagram.Samples.DiagramTool.PEPDiagram diagramComponent;
    private string fileName = null;

    public DiagramForm()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();

      //
      // Wire up event handlers to canvas
      //
      this.diagramComponent.Controller.ToolActivate += new Controller.ToolEventHandler(this.OnDiagramToolActivate);
      this.diagramComponent.Controller.ToolDeactivate += new Controller.ToolEventHandler(this.OnDiagramToolDeactivate);
      this.diagramComponent.Controller.SelectionChanged += new NodeCollection.EventHandler(OnSelectionChanged);

      // Load up names of fonts that can be selected
      this.LoadFontSelections();
    }

    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose( bool disposing )
    {
      if( disposing )
      {
        if(components != null)
        {
          components.Dispose();
        }
        this.diagramComponent.Controller.ToolActivate -= new Controller.ToolEventHandler(this.OnDiagramToolActivate);
        this.diagramComponent.Controller.ToolDeactivate -= new Controller.ToolEventHandler(this.OnDiagramToolDeactivate);
        this.diagramComponent.Controller.SelectionChanged -= new NodeCollection.EventHandler(OnSelectionChanged);
      }
      base.Dispose( disposing );
    }

    public Syncfusion.Windows.Forms.Diagram.Controls.Diagram Diagram
    {
      get
      {
        return this.diagramComponent;
      }
    }

    public void OpenFile(string fileName)
    {
/*      FileStream iStream = new FileStream(fileName, FileMode.Open);
      if (iStream != null)
      {
        try
        {
          this.diagramComponent.LoadBinary(iStream);
          FileInfo fileInfo = new FileInfo(fileName);
          this.Text = fileInfo.Name;
        }
        catch (Exception ex)
        {
          MessageBox.Show("Serialization error - " + ex.Message);
        }
        finally
        {
          iStream.Close();
          this.FileName = fileName;
        }
      }
*/
        try
        {
          this.diagramComponent.LoadSoap(fileName);
          FileInfo fileInfo = new FileInfo(fileName);
          this.Text = fileInfo.Name;
        }
        catch (Exception ex)
        {
          MessageBox.Show("Serialization error - " + ex.Message);
        }
        finally
        {
          this.FileName = fileName;
        }
    }

    public void SaveFile()
    {
      if (!this.HasFileName)
      {
        throw new InvalidOperationException();
      }

      this.SaveAsFile(this.fileName);
    }

    public void SaveAsFile(string fileName)
    {
/*      FileStream oStream = null;
			
      try
      {
        oStream = new FileStream(fileName, FileMode.Create);
        FileInfo fileInfo = new FileInfo(fileName);
        if (this.Text != fileInfo.Name)
          this.Text = fileInfo.Name;
          
      }
      catch (Exception ex)
      {
        oStream = null;  // just to be sure
        MessageBox.Show("Error opening " + fileName + " - " + ex.Message);
      }

      if (oStream != null)
      {
        try
        {
          this.diagramComponent.SaveBinary(oStream);
          this.FileName = fileName;
        }
        catch (Exception ex)
        {
          MessageBox.Show("Serialization error - " + ex.Message);
        }
        finally
        {
          oStream.Close();
        }
      }
*/
        try
        {
          this.diagramComponent.SaveSoap(fileName);
          this.FileName = fileName;
        }
        catch (Exception ex)
        {
          MessageBox.Show("Serialization error - " + ex.Message);
        }
        finally
        {
        }
    }

    public string FileName
    {
      get
      {
        return this.fileName;
      }
      set
      {
        this.fileName = value;
        this.Text = System.IO.Path.GetFileNameWithoutExtension(this.fileName);
      }
    }

    public bool HasFileName
    {
      get
      {
        return (this.fileName != null && this.fileName.Length > 0);
      }
    }

    protected PropertyEditor PropertyEditor
    {
      get
      {
        if (this.MdiParent != null)
        {
          MainForm mainForm = this.MdiParent as MainForm;
          if (mainForm != null)
          {
            return mainForm.PropertyEditor;
          }
        }
        return null;
      }
    }

		#region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
      this.components = new System.ComponentModel.Container();
      System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DiagramForm));
      this.childFrameBarManager = new Syncfusion.Windows.Forms.Tools.XPMenus.ChildFrameBarManager(this.components, this);
      this.barDrawing = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "Drawing");
      this.barItemSelect = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemLine = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemPolyline = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemRectangle = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemRoundRect = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemEllipse = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemPolygon = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemCurve = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemClosedCurve = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemArc = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemText = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemRichText = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemImage = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemEditVertices = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barNode = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "Node");
      this.barItemGroup = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemUngroup = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemBringToFront = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemSendToBack = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemBringForward = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemSendBackward = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barNudge = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "Nudge");
      this.barItemNudgeUp = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemNudgeDown = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemNudgeLeft = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemNudgeRight = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barLinks = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "Links");
      this.barItemLink = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemOrthogonalLink = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemDirectedLink = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemArcLink = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barRotate = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "Rotate");
      this.barItemRotate = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemRotateLeft = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemRotateRight = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemFlipVertical = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemFlipHorizontal = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "View");
      this.barItemPan = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemShowGrid = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemSnapToGrid = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemZoom = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.comboBoxBarItemMagnification = new Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem();
      this.bar2 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.childFrameBarManager, "Text Formatting");
      this.comboBoxBarItemFontFamily = new Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem();
      this.comboBoxBarItemPointSize = new Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem();
      this.barItemBoldText = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemItalicText = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemUnderlineText = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemAlignTextLeft = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemCenterText = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemAlignTextRight = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.barItemTextColor = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
      this.smBarItemImages = new System.Windows.Forms.ImageList(this.components);
      this.tabControlAdv1 = new Syncfusion.Windows.Forms.Tools.TabControlAdv();
      this.tabPageAdv1 = new Syncfusion.Windows.Forms.Tools.TabPageAdv();
      this.PropertyGrid = new Syncfusion.Windows.Forms.Grid.GridControl();
      this.gradientPanel1 = new Syncfusion.Windows.Forms.Tools.GradientPanel();
      this.tabPageAdv2 = new Syncfusion.Windows.Forms.Tools.TabPageAdv();
      this.gradientPanel2 = new Syncfusion.Windows.Forms.Tools.GradientPanel();
      this.tabPageAdv3 = new Syncfusion.Windows.Forms.Tools.TabPageAdv();
      this.gradientPanel3 = new Syncfusion.Windows.Forms.Tools.GradientPanel();
      this.splitter1 = new System.Windows.Forms.Splitter();
      this.contextMenu = new System.Windows.Forms.ContextMenu();
      this.popAdd = new System.Windows.Forms.MenuItem();
      this.popAddRef = new System.Windows.Forms.MenuItem();
      this.popAddChild = new System.Windows.Forms.MenuItem();
      this.popRemove = new System.Windows.Forms.MenuItem();
      this.popRemoveRef = new System.Windows.Forms.MenuItem();
      this.popRemoveChild = new System.Windows.Forms.MenuItem();
      this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
      this.diagramComponent = new Syncfusion.Windows.Forms.Diagram.Samples.DiagramTool.PEPDiagram();
      ((System.ComponentModel.ISupportInitialize)(this.childFrameBarManager)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.tabControlAdv1)).BeginInit();
      this.tabControlAdv1.SuspendLayout();
      this.tabPageAdv1.SuspendLayout();
      ((System.ComponentModel.ISupportInitialize)(this.PropertyGrid)).BeginInit();
      this.tabPageAdv2.SuspendLayout();
      this.tabPageAdv3.SuspendLayout();
      this.SuspendLayout();
      // 
      // childFrameBarManager
      // 
      this.childFrameBarManager.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("childFrameBarManager.BarPositionInfo")));
      this.childFrameBarManager.Bars.Add(this.barDrawing);
      this.childFrameBarManager.Bars.Add(this.barNode);
      this.childFrameBarManager.Bars.Add(this.barNudge);
      this.childFrameBarManager.Bars.Add(this.barLinks);
      this.childFrameBarManager.Bars.Add(this.barRotate);
      this.childFrameBarManager.Bars.Add(this.bar1);
      this.childFrameBarManager.Bars.Add(this.bar2);
      this.childFrameBarManager.Categories.Add("Drawing Tools");
      this.childFrameBarManager.Categories.Add("Node Tools");
      this.childFrameBarManager.Categories.Add("Connection Tools");
      this.childFrameBarManager.Categories.Add("Nudge Tools");
      this.childFrameBarManager.Categories.Add("Rotate Tools");
      this.childFrameBarManager.Categories.Add("View Tools");
      this.childFrameBarManager.Categories.Add("Text Formatting");
      this.childFrameBarManager.CurrentBaseFormType = "System.Windows.Forms.Form";
      this.childFrameBarManager.Form = this;
      this.childFrameBarManager.ImageList = this.smBarItemImages;
      this.childFrameBarManager.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                                      this.barItemSelect,
                                                                                                      this.barItemLine,
                                                                                                      this.barItemRectangle,
                                                                                                      this.barItemEllipse,
                                                                                                      this.barItemText,
                                                                                                      this.barItemPolyline,
                                                                                                      this.barItemPolygon,
                                                                                                      this.barItemArc,
                                                                                                      this.barItemCurve,
                                                                                                      this.barItemClosedCurve,
                                                                                                      this.barItemImage,
                                                                                                      this.barItemGroup,
                                                                                                      this.barItemUngroup,
                                                                                                      this.barItemBringToFront,
                                                                                                      this.barItemSendToBack,
                                                                                                      this.barItemBringForward,
                                                                                                      this.barItemSendBackward,
                                                                                                      this.barItemLink,
                                                                                                      this.barItemNudgeUp,
                                                                                                      this.barItemNudgeDown,
                                                                                                      this.barItemNudgeLeft,
                                                                                                      this.barItemNudgeRight,
                                                                                                      this.barItemRotate,
                                                                                                      this.barItemRotateLeft,
                                                                                                      this.barItemRotateRight,
                                                                                                      this.barItemFlipVertical,
                                                                                                      this.barItemFlipHorizontal,
                                                                                                      this.barItemPan,
                                                                                                      this.barItemShowGrid,
                                                                                                      this.barItemSnapToGrid,
                                                                                                      this.barItemZoom,
                                                                                                      this.comboBoxBarItemMagnification,
                                                                                                      this.barItemOrthogonalLink,
                                                                                                      this.barItemEditVertices,
                                                                                                      this.barItemDirectedLink,
                                                                                                      this.barItemArcLink,
                                                                                                      this.barItemRichText,
                                                                                                      this.barItemRoundRect,
                                                                                                      this.barItemBoldText,
                                                                                                      this.barItemItalicText,
                                                                                                      this.barItemUnderlineText,
                                                                                                      this.barItemAlignTextLeft,
                                                                                                      this.barItemCenterText,
                                                                                                      this.barItemAlignTextRight,
                                                                                                      this.comboBoxBarItemFontFamily,
                                                                                                      this.comboBoxBarItemPointSize,
                                                                                                      this.barItemTextColor});
      this.childFrameBarManager.LargeImageList = null;
      this.childFrameBarManager.Style = Syncfusion.Windows.Forms.VisualStyle.Default;
      // 
      // barDrawing
      // 
      this.barDrawing.BarName = "Drawing";
      this.barDrawing.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                            this.barItemSelect,
                                                                                            this.barItemLine,
                                                                                            this.barItemPolyline,
                                                                                            this.barItemRectangle,
                                                                                            this.barItemRoundRect,
                                                                                            this.barItemEllipse,
                                                                                            this.barItemPolygon,
                                                                                            this.barItemCurve,
                                                                                            this.barItemClosedCurve,
                                                                                            this.barItemArc,
                                                                                            this.barItemText,
                                                                                            this.barItemRichText,
                                                                                            this.barItemImage,
                                                                                            this.barItemEditVertices});
      this.barDrawing.Manager = this.childFrameBarManager;
      // 
      // barItemSelect
      // 
      this.barItemSelect.CategoryIndex = 0;
      this.barItemSelect.ID = "Pointer";
      this.barItemSelect.ImageIndex = 0;
      this.barItemSelect.Tag = "SelectTool";
      this.barItemSelect.Text = "Select";
      this.barItemSelect.Tooltip = "Select";
      this.barItemSelect.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemLine
      // 
      this.barItemLine.CategoryIndex = 0;
      this.barItemLine.ID = "Line";
      this.barItemLine.ImageIndex = 1;
      this.barItemLine.Tag = "LineTool";
      this.barItemLine.Text = "Line";
      this.barItemLine.Tooltip = "Line";
      this.barItemLine.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemPolyline
      // 
      this.barItemPolyline.CategoryIndex = 0;
      this.barItemPolyline.ID = "Polyline";
      this.barItemPolyline.ImageIndex = 2;
      this.barItemPolyline.Tag = "PolyLineTool";
      this.barItemPolyline.Text = "Polyline";
      this.barItemPolyline.Tooltip = "Polyline";
      this.barItemPolyline.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemRectangle
      // 
      this.barItemRectangle.CategoryIndex = 0;
      this.barItemRectangle.ID = "Rectangle";
      this.barItemRectangle.ImageIndex = 4;
      this.barItemRectangle.Tag = "RectangleTool";
      this.barItemRectangle.Text = "Rectangle";
      this.barItemRectangle.Tooltip = "Rectangle";
      this.barItemRectangle.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemRoundRect
      // 
      this.barItemRoundRect.CategoryIndex = 0;
      this.barItemRoundRect.ID = "Rounded Rectangle";
      this.barItemRoundRect.ImageIndex = 5;
      this.barItemRoundRect.Tag = "RoundRectTool";
      this.barItemRoundRect.Text = "Rounded Rectangle";
      this.barItemRoundRect.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemEllipse
      // 
      this.barItemEllipse.CategoryIndex = 0;
      this.barItemEllipse.ID = "Ellipse";
      this.barItemEllipse.ImageIndex = 7;
      this.barItemEllipse.Tag = "EllipseTool";
      this.barItemEllipse.Text = "Ellipse";
      this.barItemEllipse.Tooltip = "Ellipse";
      this.barItemEllipse.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemPolygon
      // 
      this.barItemPolygon.CategoryIndex = 0;
      this.barItemPolygon.ID = "Polygon";
      this.barItemPolygon.ImageIndex = 6;
      this.barItemPolygon.Tag = "PolygonTool";
      this.barItemPolygon.Text = "Polygon";
      this.barItemPolygon.Tooltip = "Polygon";
      this.barItemPolygon.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemCurve
      // 
      this.barItemCurve.CategoryIndex = 0;
      this.barItemCurve.ID = "Curve";
      this.barItemCurve.ImageIndex = 9;
      this.barItemCurve.Tag = "CurveTool";
      this.barItemCurve.Text = "Curve";
      this.barItemCurve.Tooltip = "Curve";
      this.barItemCurve.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemClosedCurve
      // 
      this.barItemClosedCurve.CategoryIndex = 0;
      this.barItemClosedCurve.ID = "Closed Curve";
      this.barItemClosedCurve.ImageIndex = 10;
      this.barItemClosedCurve.Tag = "ClosedCurveTool";
      this.barItemClosedCurve.Text = "Closed Curve";
      this.barItemClosedCurve.Tooltip = "Closed Curve";
      this.barItemClosedCurve.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemArc
      // 
      this.barItemArc.CategoryIndex = 0;
      this.barItemArc.ID = "Arc";
      this.barItemArc.ImageIndex = 8;
      this.barItemArc.Tag = "ArcTool";
      this.barItemArc.Text = "Arc";
      this.barItemArc.Tooltip = "Arc";
      this.barItemArc.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemText
      // 
      this.barItemText.CategoryIndex = 0;
      this.barItemText.ID = "Text";
      this.barItemText.ImageIndex = 12;
      this.barItemText.Tag = "TextTool";
      this.barItemText.Text = "Text";
      this.barItemText.Tooltip = "Text";
      this.barItemText.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemRichText
      // 
      this.barItemRichText.CategoryIndex = 0;
      this.barItemRichText.ID = "Rich Text";
      this.barItemRichText.ImageIndex = 48;
      this.barItemRichText.Tag = "RichTextTool";
      this.barItemRichText.Text = "Rich Text";
      this.barItemRichText.Tooltip = "Rich Text";
      this.barItemRichText.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemImage
      // 
      this.barItemImage.CategoryIndex = 0;
      this.barItemImage.ID = "Image";
      this.barItemImage.ImageIndex = 11;
      this.barItemImage.Tag = "ImageTool";
      this.barItemImage.Text = "Image";
      this.barItemImage.Tooltip = "Image";
      this.barItemImage.Click += new System.EventHandler(this.barItemImage_Click);
      // 
      // barItemEditVertices
      // 
      this.barItemEditVertices.CategoryIndex = 0;
      this.barItemEditVertices.ID = "Edit Vertices";
      this.barItemEditVertices.ImageIndex = 13;
      this.barItemEditVertices.Tag = "VertexEditTool";
      this.barItemEditVertices.Text = "Edit Vertices";
      this.barItemEditVertices.Click += new System.EventHandler(this.toolActivate);
      // 
      // barNode
      // 
      this.barNode.BarName = "Node";
      this.barNode.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                         this.barItemGroup,
                                                                                         this.barItemUngroup,
                                                                                         this.barItemBringToFront,
                                                                                         this.barItemSendToBack,
                                                                                         this.barItemBringForward,
                                                                                         this.barItemSendBackward});
      this.barNode.Manager = this.childFrameBarManager;
      // 
      // barItemGroup
      // 
      this.barItemGroup.CategoryIndex = 1;
      this.barItemGroup.ID = "Group";
      this.barItemGroup.ImageIndex = 14;
      this.barItemGroup.Tag = "GroupTool";
      this.barItemGroup.Text = "Group";
      this.barItemGroup.Tooltip = "Group";
      this.barItemGroup.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemUngroup
      // 
      this.barItemUngroup.CategoryIndex = 1;
      this.barItemUngroup.ID = "Ungroup";
      this.barItemUngroup.ImageIndex = 15;
      this.barItemUngroup.Tag = "UngroupTool";
      this.barItemUngroup.Text = "Ungroup";
      this.barItemUngroup.Tooltip = "Ungroup";
      this.barItemUngroup.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemBringToFront
      // 
      this.barItemBringToFront.CategoryIndex = 1;
      this.barItemBringToFront.ID = "Bring To Front";
      this.barItemBringToFront.ImageIndex = 41;
      this.barItemBringToFront.Text = "Bring To Front";
      this.barItemBringToFront.Tooltip = "Bring To Front";
      this.barItemBringToFront.Click += new System.EventHandler(this.barItemBringToFront_Click);
      // 
      // barItemSendToBack
      // 
      this.barItemSendToBack.CategoryIndex = 1;
      this.barItemSendToBack.ID = "Send To Back";
      this.barItemSendToBack.ImageIndex = 43;
      this.barItemSendToBack.Text = "Send To Back";
      this.barItemSendToBack.Click += new System.EventHandler(this.barItemSendToBack_Click);
      // 
      // barItemBringForward
      // 
      this.barItemBringForward.CategoryIndex = 1;
      this.barItemBringForward.ID = "Bring Forward";
      this.barItemBringForward.ImageIndex = 40;
      this.barItemBringForward.Text = "Bring Forward";
      this.barItemBringForward.Click += new System.EventHandler(this.barItemBringForward_Click);
      // 
      // barItemSendBackward
      // 
      this.barItemSendBackward.CategoryIndex = 1;
      this.barItemSendBackward.ID = "Send Backward";
      this.barItemSendBackward.ImageIndex = 42;
      this.barItemSendBackward.Text = "Send Backward";
      this.barItemSendBackward.Click += new System.EventHandler(this.barItemSendBackward_Click);
      // 
      // barNudge
      // 
      this.barNudge.BarName = "Nudge";
      this.barNudge.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                          this.barItemNudgeUp,
                                                                                          this.barItemNudgeDown,
                                                                                          this.barItemNudgeLeft,
                                                                                          this.barItemNudgeRight});
      this.barNudge.Manager = this.childFrameBarManager;
      // 
      // barItemNudgeUp
      // 
      this.barItemNudgeUp.CategoryIndex = 3;
      this.barItemNudgeUp.ID = "Nudge Up";
      this.barItemNudgeUp.ImageIndex = 22;
      this.barItemNudgeUp.Text = "Nudge Up";
      this.barItemNudgeUp.Tooltip = "Nudge Up";
      this.barItemNudgeUp.Click += new System.EventHandler(this.barItemNudgeUp_Click);
      // 
      // barItemNudgeDown
      // 
      this.barItemNudgeDown.CategoryIndex = 3;
      this.barItemNudgeDown.ID = "Nudge Down";
      this.barItemNudgeDown.ImageIndex = 23;
      this.barItemNudgeDown.Text = "Nudge Down";
      this.barItemNudgeDown.Tooltip = "Nudge Down";
      this.barItemNudgeDown.Click += new System.EventHandler(this.barItemNudgeDown_Click);
      // 
      // barItemNudgeLeft
      // 
      this.barItemNudgeLeft.CategoryIndex = 3;
      this.barItemNudgeLeft.ID = "Nudge Left";
      this.barItemNudgeLeft.ImageIndex = 20;
      this.barItemNudgeLeft.Text = "Nudge Left";
      this.barItemNudgeLeft.Tooltip = "Nudge Left";
      this.barItemNudgeLeft.Click += new System.EventHandler(this.barItemNudgeLeft_Click);
      // 
      // barItemNudgeRight
      // 
      this.barItemNudgeRight.CategoryIndex = 3;
      this.barItemNudgeRight.ID = "Nudge Right";
      this.barItemNudgeRight.ImageIndex = 21;
      this.barItemNudgeRight.Text = "Nudge Right";
      this.barItemNudgeRight.Tooltip = "Nudge Right";
      this.barItemNudgeRight.Click += new System.EventHandler(this.barItemNudgeRight_Click);
      // 
      // barLinks
      // 
      this.barLinks.BarName = "Links";
      this.barLinks.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                          this.barItemLink,
                                                                                          this.barItemOrthogonalLink,
                                                                                          this.barItemDirectedLink,
                                                                                          this.barItemArcLink});
      this.barLinks.Manager = this.childFrameBarManager;
      // 
      // barItemLink
      // 
      this.barItemLink.CategoryIndex = 2;
      this.barItemLink.ID = "Link";
      this.barItemLink.ImageIndex = 44;
      this.barItemLink.Text = "Link";
      this.barItemLink.Tooltip = "Link";
      this.barItemLink.Click += new System.EventHandler(this.barItemLinkSymbols_Click);
      // 
      // barItemOrthogonalLink
      // 
      this.barItemOrthogonalLink.CategoryIndex = 2;
      this.barItemOrthogonalLink.ID = "Orthogonal Link";
      this.barItemOrthogonalLink.ImageIndex = 45;
      this.barItemOrthogonalLink.Text = "Orthogonal Link";
      this.barItemOrthogonalLink.Click += new System.EventHandler(this.barItemOrthogonalLink_Click);
      // 
      // barItemDirectedLink
      // 
      this.barItemDirectedLink.CategoryIndex = 2;
      this.barItemDirectedLink.ID = "Directed Link";
      this.barItemDirectedLink.ImageIndex = 46;
      this.barItemDirectedLink.Text = "Directed Link";
      this.barItemDirectedLink.Tooltip = "Directed Link";
      this.barItemDirectedLink.Click += new System.EventHandler(this.barItemDirectedLink_Click);
      // 
      // barItemArcLink
      // 
      this.barItemArcLink.CategoryIndex = 2;
      this.barItemArcLink.ID = "Arc Link";
      this.barItemArcLink.ImageIndex = 47;
      this.barItemArcLink.Text = "Arc Link";
      this.barItemArcLink.Tooltip = "Arc Link";
      this.barItemArcLink.Click += new System.EventHandler(this.barItemArcLink_Click);
      // 
      // barRotate
      // 
      this.barRotate.BarName = "Rotate";
      this.barRotate.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                           this.barItemRotate,
                                                                                           this.barItemRotateLeft,
                                                                                           this.barItemRotateRight,
                                                                                           this.barItemFlipVertical,
                                                                                           this.barItemFlipHorizontal});
      this.barRotate.Manager = this.childFrameBarManager;
      // 
      // barItemRotate
      // 
      this.barItemRotate.CategoryIndex = 4;
      this.barItemRotate.ID = "Rotate";
      this.barItemRotate.ImageIndex = 35;
      this.barItemRotate.Tag = "RotateTool";
      this.barItemRotate.Text = "Rotate";
      this.barItemRotate.Tooltip = "Rotate";
      this.barItemRotate.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemRotateLeft
      // 
      this.barItemRotateLeft.CategoryIndex = 4;
      this.barItemRotateLeft.ID = "Rotate Left";
      this.barItemRotateLeft.ImageIndex = 36;
      this.barItemRotateLeft.Text = "Rotate Left";
      this.barItemRotateLeft.Tooltip = "Rotate Left";
      this.barItemRotateLeft.Click += new System.EventHandler(this.barItemRotateLeft_Click);
      // 
      // barItemRotateRight
      // 
      this.barItemRotateRight.CategoryIndex = 4;
      this.barItemRotateRight.ID = "Rotate Right";
      this.barItemRotateRight.ImageIndex = 37;
      this.barItemRotateRight.Text = "Rotate Right";
      this.barItemRotateRight.Tooltip = "Rotate Right";
      this.barItemRotateRight.Click += new System.EventHandler(this.barItemRotateRight_Click);
      // 
      // barItemFlipVertical
      // 
      this.barItemFlipVertical.CategoryIndex = 4;
      this.barItemFlipVertical.ID = "Flip Vertical";
      this.barItemFlipVertical.ImageIndex = 39;
      this.barItemFlipVertical.Text = "Flip Vertical";
      this.barItemFlipVertical.Tooltip = "Flip Vertical";
      this.barItemFlipVertical.Click += new System.EventHandler(this.barItemFlipVertical_Click);
      // 
      // barItemFlipHorizontal
      // 
      this.barItemFlipHorizontal.CategoryIndex = 4;
      this.barItemFlipHorizontal.ID = "Flip Horizontal";
      this.barItemFlipHorizontal.ImageIndex = 38;
      this.barItemFlipHorizontal.Text = "Flip Horizontal";
      this.barItemFlipHorizontal.Tooltip = "Flip Horizontal";
      this.barItemFlipHorizontal.Click += new System.EventHandler(this.barItemFlipHorizontal_Click);
      // 
      // bar1
      // 
      this.bar1.BarName = "View";
      this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                      this.barItemPan,
                                                                                      this.barItemShowGrid,
                                                                                      this.barItemSnapToGrid,
                                                                                      this.barItemZoom,
                                                                                      this.comboBoxBarItemMagnification});
      this.bar1.Manager = this.childFrameBarManager;
      // 
      // barItemPan
      // 
      this.barItemPan.CategoryIndex = 5;
      this.barItemPan.ID = "Pan";
      this.barItemPan.ImageIndex = 16;
      this.barItemPan.Tag = "PanTool";
      this.barItemPan.Text = "Pan";
      this.barItemPan.Tooltip = "Pan";
      this.barItemPan.Click += new System.EventHandler(this.toolActivate);
      // 
      // barItemShowGrid
      // 
      this.barItemShowGrid.CategoryIndex = 5;
      this.barItemShowGrid.ID = "Show Grid";
      this.barItemShowGrid.ImageIndex = 18;
      this.barItemShowGrid.Text = "Show Grid";
      this.barItemShowGrid.Tooltip = "Show Grid";
      this.barItemShowGrid.Click += new System.EventHandler(this.barItemShowGrid_Click);
      // 
      // barItemSnapToGrid
      // 
      this.barItemSnapToGrid.CategoryIndex = 5;
      this.barItemSnapToGrid.ID = "Snap To Grid";
      this.barItemSnapToGrid.ImageIndex = 19;
      this.barItemSnapToGrid.Text = "Snap To Grid";
      this.barItemSnapToGrid.Click += new System.EventHandler(this.barItemSnapToGrid_Click);
      // 
      // barItemZoom
      // 
      this.barItemZoom.CategoryIndex = 5;
      this.barItemZoom.ID = "Zoom";
      this.barItemZoom.ImageIndex = 17;
      this.barItemZoom.Tag = "ZoomTool";
      this.barItemZoom.Text = "Zoom";
      this.barItemZoom.Tooltip = "Zoom";
      this.barItemZoom.Click += new System.EventHandler(this.toolActivate);
      // 
      // comboBoxBarItemMagnification
      // 
      this.comboBoxBarItemMagnification.CategoryIndex = 5;
      this.comboBoxBarItemMagnification.ChoiceList.AddRange(new string[] {
                                                                           "25%",
                                                                           "50%",
                                                                           "75%",
                                                                           "100%",
                                                                           "125%",
                                                                           "150%",
                                                                           "175%",
                                                                           "200%"});
      this.comboBoxBarItemMagnification.Editable = false;
      this.comboBoxBarItemMagnification.ID = "Magnification";
      this.comboBoxBarItemMagnification.Text = "Magnification";
      this.comboBoxBarItemMagnification.Tooltip = "Magnification";
      this.comboBoxBarItemMagnification.Click += new System.EventHandler(this.comboBoxBarItemMagnification_Click);
      // 
      // bar2
      // 
      this.bar2.BarName = "Text Formatting";
      this.bar2.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
                                                                                      this.comboBoxBarItemFontFamily,
                                                                                      this.comboBoxBarItemPointSize,
                                                                                      this.barItemBoldText,
                                                                                      this.barItemItalicText,
                                                                                      this.barItemUnderlineText,
                                                                                      this.barItemAlignTextLeft,
                                                                                      this.barItemCenterText,
                                                                                      this.barItemAlignTextRight,
                                                                                      this.barItemTextColor});
      this.bar2.Manager = this.childFrameBarManager;
      // 
      // comboBoxBarItemFontFamily
      // 
      this.comboBoxBarItemFontFamily.CategoryIndex = 6;
      this.comboBoxBarItemFontFamily.Editable = false;
      this.comboBoxBarItemFontFamily.ID = "Font Family";
      this.comboBoxBarItemFontFamily.MinWidth = 120;
      this.comboBoxBarItemFontFamily.Text = "Font Family";
      this.comboBoxBarItemFontFamily.Tooltip = "Font Family";
      // 
      // comboBoxBarItemPointSize
      // 
      this.comboBoxBarItemPointSize.CategoryIndex = 6;
      this.comboBoxBarItemPointSize.ID = "Point Size";
      this.comboBoxBarItemPointSize.Text = "Point Size";
      // 
      // barItemBoldText
      // 
      this.barItemBoldText.CategoryIndex = 6;
      this.barItemBoldText.ID = "Bold";
      this.barItemBoldText.ImageIndex = 49;
      this.barItemBoldText.Text = "Bold";
      this.barItemBoldText.Tooltip = "Bold";
      this.barItemBoldText.Click += new System.EventHandler(this.barItemBoldText_Click);
      // 
      // barItemItalicText
      // 
      this.barItemItalicText.CategoryIndex = 6;
      this.barItemItalicText.ID = "Italic";
      this.barItemItalicText.ImageIndex = 50;
      this.barItemItalicText.Text = "Italic";
      this.barItemItalicText.Tooltip = "Italic";
      this.barItemItalicText.Click += new System.EventHandler(this.barItemItalicText_Click);
      // 
      // barItemUnderlineText
      // 
      this.barItemUnderlineText.CategoryIndex = 6;
      this.barItemUnderlineText.ID = "Underline";
      this.barItemUnderlineText.ImageIndex = 51;
      this.barItemUnderlineText.Text = "Underline";
      this.barItemUnderlineText.Tooltip = "Underline";
      this.barItemUnderlineText.Click += new System.EventHandler(this.barItemUnderlineText_Click);
      // 
      // barItemAlignTextLeft
      // 
      this.barItemAlignTextLeft.CategoryIndex = 6;
      this.barItemAlignTextLeft.ID = "Align Text Left";
      this.barItemAlignTextLeft.ImageIndex = 52;
      this.barItemAlignTextLeft.Text = "Align Text Left";
      this.barItemAlignTextLeft.Tooltip = "Align Text Left";
      this.barItemAlignTextLeft.Click += new System.EventHandler(this.barItemAlignTextLeft_Click);
      // 
      // barItemCenterText
      // 
      this.barItemCenterText.CategoryIndex = 6;
      this.barItemCenterText.ID = "Center Text";
      this.barItemCenterText.ImageIndex = 53;
      this.barItemCenterText.Text = "Center Text";
      this.barItemCenterText.Tooltip = "Center Text";
      this.barItemCenterText.Click += new System.EventHandler(this.barItemCenterText_Click);
      // 
      // barItemAlignTextRight
      // 
      this.barItemAlignTextRight.CategoryIndex = 6;
      this.barItemAlignTextRight.ID = "Align Text Right";
      this.barItemAlignTextRight.ImageIndex = 54;
      this.barItemAlignTextRight.Text = "Align Text Right";
      this.barItemAlignTextRight.Tooltip = "Align Text Right";
      this.barItemAlignTextRight.Click += new System.EventHandler(this.barItemAlignTextRight_Click);
      // 
      // barItemTextColor
      // 
      this.barItemTextColor.CategoryIndex = 6;
      this.barItemTextColor.ID = "Text Color";
      this.barItemTextColor.ImageIndex = 55;
      this.barItemTextColor.Text = "Text Color";
      this.barItemTextColor.Tooltip = "Text Color";
      this.barItemTextColor.Click += new System.EventHandler(this.barItemTextColor_Click);
      // 
      // smBarItemImages
      // 
      this.smBarItemImages.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
      this.smBarItemImages.ImageSize = new System.Drawing.Size(16, 16);
      this.smBarItemImages.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("smBarItemImages.ImageStream")));
      this.smBarItemImages.TransparentColor = System.Drawing.Color.Fuchsia;
      // 
      // tabControlAdv1
      // 
      this.tabControlAdv1.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                                 this.tabPageAdv1,
                                                                                 this.tabPageAdv2,
                                                                                 this.tabPageAdv3});
      this.tabControlAdv1.Dock = System.Windows.Forms.DockStyle.Bottom;
      this.tabControlAdv1.Location = new System.Drawing.Point(0, 141);
      this.tabControlAdv1.Name = "tabControlAdv1";
      this.tabControlAdv1.Size = new System.Drawing.Size(456, 184);
      this.tabControlAdv1.TabIndex = 9;
      this.tabControlAdv1.ThemesEnabled = true;
      this.tabControlAdv1.Click += new System.EventHandler(this.tabControlAdv1_Click);
      // 
      // tabPageAdv1
      // 
      this.tabPageAdv1.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                              this.PropertyGrid,
                                                                              this.gradientPanel1});
      this.tabPageAdv1.Location = new System.Drawing.Point(3, 28);
      this.tabPageAdv1.Name = "tabPageAdv1";
      this.tabPageAdv1.Size = new System.Drawing.Size(449, 152);
      this.tabPageAdv1.TabIndex = 0;
      this.tabPageAdv1.Text = "Process Properties";
      this.tabPageAdv1.ThemesEnabled = false;
      // 
      // PropertyGrid
      // 
      this.PropertyGrid.ColCount = 5;
      this.PropertyGrid.Dock = System.Windows.Forms.DockStyle.Fill;
      this.PropertyGrid.Name = "PropertyGrid";
      this.PropertyGrid.Size = new System.Drawing.Size(425, 152);
      this.PropertyGrid.TabIndex = 1;
      this.PropertyGrid.Text = "gridControl1";
      // 
      // gradientPanel1
      // 
      this.gradientPanel1.BackColor = System.Drawing.Color.Brown;
      this.gradientPanel1.BorderColor = System.Drawing.Color.Black;
      this.gradientPanel1.BorderStyle = System.Windows.Forms.BorderStyle.None;
      this.gradientPanel1.Dock = System.Windows.Forms.DockStyle.Right;
      this.gradientPanel1.Location = new System.Drawing.Point(425, 0);
      this.gradientPanel1.Name = "gradientPanel1";
      this.gradientPanel1.Size = new System.Drawing.Size(24, 152);
      this.gradientPanel1.TabIndex = 0;
      this.gradientPanel1.DoubleClick += new System.EventHandler(this.gradientPanel1_DoubleClick);
      this.gradientPanel1.Paint += new System.Windows.Forms.PaintEventHandler(this.gradientPanel1_Paint);
      // 
      // tabPageAdv2
      // 
      this.tabPageAdv2.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                              this.gradientPanel2});
      this.tabPageAdv2.Location = new System.Drawing.Point(1, 26);
      this.tabPageAdv2.Name = "tabPageAdv2";
      this.tabPageAdv2.Size = new System.Drawing.Size(453, 156);
      this.tabPageAdv2.TabIndex = 1;
      this.tabPageAdv2.Text = "Filters";
      this.tabPageAdv2.ThemesEnabled = false;
      this.tabPageAdv2.Click += new System.EventHandler(this.tabPageAdv2_Click);
      // 
      // gradientPanel2
      // 
      this.gradientPanel2.BackColor = System.Drawing.Color.Brown;
      this.gradientPanel2.BorderColor = System.Drawing.Color.Black;
      this.gradientPanel2.Dock = System.Windows.Forms.DockStyle.Right;
      this.gradientPanel2.Location = new System.Drawing.Point(421, 0);
      this.gradientPanel2.Name = "gradientPanel2";
      this.gradientPanel2.Size = new System.Drawing.Size(32, 156);
      this.gradientPanel2.TabIndex = 0;
      this.gradientPanel2.Paint += new System.Windows.Forms.PaintEventHandler(this.gradientPanel2_Paint);
      // 
      // tabPageAdv3
      // 
      this.tabPageAdv3.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                              this.gradientPanel3});
      this.tabPageAdv3.Location = new System.Drawing.Point(1, 26);
      this.tabPageAdv3.Name = "tabPageAdv3";
      this.tabPageAdv3.Size = new System.Drawing.Size(453, 156);
      this.tabPageAdv3.TabIndex = 2;
      this.tabPageAdv3.Text = "Critical Paths";
      this.tabPageAdv3.ThemesEnabled = false;
      // 
      // gradientPanel3
      // 
      this.gradientPanel3.BackColor = System.Drawing.Color.Brown;
      this.gradientPanel3.BorderColor = System.Drawing.Color.Black;
      this.gradientPanel3.Dock = System.Windows.Forms.DockStyle.Right;
      this.gradientPanel3.Location = new System.Drawing.Point(421, 0);
      this.gradientPanel3.Name = "gradientPanel3";
      this.gradientPanel3.Size = new System.Drawing.Size(32, 156);
      this.gradientPanel3.TabIndex = 0;
      // 
      // splitter1
      // 
      this.splitter1.Dock = System.Windows.Forms.DockStyle.Bottom;
      this.splitter1.Location = new System.Drawing.Point(0, 138);
      this.splitter1.Name = "splitter1";
      this.splitter1.Size = new System.Drawing.Size(456, 3);
      this.splitter1.TabIndex = 10;
      this.splitter1.TabStop = false;
      // 
      // contextMenu
      // 
      this.contextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                                this.popAdd,
                                                                                this.popRemove});
      // 
      // popAdd
      // 
      this.popAdd.Index = 0;
      this.popAdd.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                           this.popAddRef,
                                                                           this.popAddChild});
      this.popAdd.Text = "Add";
      // 
      // popAddRef
      // 
      this.popAddRef.Index = 0;
      this.popAddRef.Text = "Reference";
      this.popAddRef.Click += new System.EventHandler(this.popAddRef_Click);
      // 
      // popAddChild
      // 
      this.popAddChild.Index = 1;
      this.popAddChild.Text = "Child process";
      this.popAddChild.Click += new System.EventHandler(this.popAddChild_Click);
      // 
      // popRemove
      // 
      this.popRemove.Enabled = false;
      this.popRemove.Index = 1;
      this.popRemove.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                              this.popRemoveRef,
                                                                              this.popRemoveChild});
      this.popRemove.Text = "Remove";
      // 
      // popRemoveRef
      // 
      this.popRemoveRef.Enabled = false;
      this.popRemoveRef.Index = 0;
      this.popRemoveRef.Text = "Reference";
      this.popRemoveRef.Click += new System.EventHandler(this.popRemoveRef_Click);
      // 
      // popRemoveChild
      // 
      this.popRemoveChild.Enabled = false;
      this.popRemoveChild.Index = 1;
      this.popRemoveChild.Text = "Child Process";
      this.popRemoveChild.Click += new System.EventHandler(this.popRemoveChild_Click);
      // 
      // openFileDialog
      // 
      this.openFileDialog.InitialDirectory = "C:\\";
      this.openFileDialog.RestoreDirectory = true;
      this.openFileDialog.Title = "Reference document";
      // 
      // diagramComponent
      // 
      this.diagramComponent.AllowDrop = true;
      // 
      // diagramComponent.Controller
      // 
      this.diagramComponent.Controller.MaxHistory = 256;
      this.diagramComponent.Dock = System.Windows.Forms.DockStyle.Fill;
      this.diagramComponent.HScroll = true;
      this.diagramComponent.LayoutManager = null;
      // 
      // diagramComponent.Model
      // 
      this.diagramComponent.Model.BackgroundStyle.Color = System.Drawing.Color.White;
      this.diagramComponent.Model.BackgroundStyle.GradientAngle = 90F;
      this.diagramComponent.Model.BackgroundStyle.GradientBounds = ((System.Drawing.RectangleF)(resources.GetObject("diagramComponent.Model.BackgroundStyle.GradientBounds")));
      this.diagramComponent.Model.BackgroundStyle.GradientStartColor = System.Drawing.Color.White;
      this.diagramComponent.Model.BackgroundStyle.Properties = this.diagramComponent.Model;
      this.diagramComponent.Model.BackgroundStyle.Texture = null;
      this.diagramComponent.Model.BackgroundStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Tile;
      this.diagramComponent.Model.BackgroundStyle.Type = Syncfusion.Windows.Forms.Diagram.BackgroundStyle.BackgroundType.Solid;
      this.diagramComponent.Model.BoundaryConstraintsEnabled = true;
      this.diagramComponent.Model.FillStyle.AlphaFactor = 255;
      this.diagramComponent.Model.FillStyle.Color = System.Drawing.Color.LightGray;
      this.diagramComponent.Model.FillStyle.GradientAngle = 90F;
      this.diagramComponent.Model.FillStyle.GradientBounds = ((System.Drawing.RectangleF)(resources.GetObject("diagramComponent.Model.FillStyle.GradientBounds")));
      this.diagramComponent.Model.FillStyle.GradientStartColor = System.Drawing.Color.LightGray;
      this.diagramComponent.Model.FillStyle.Properties = this.diagramComponent.Model;
      this.diagramComponent.Model.FillStyle.Texture = null;
      this.diagramComponent.Model.FillStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Tile;
      this.diagramComponent.Model.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyle.FillType.Solid;
      this.diagramComponent.Model.Height = 1056F;
      this.diagramComponent.Model.LineStyle.DashCap = System.Drawing.Drawing2D.DashCap.Flat;
      this.diagramComponent.Model.LineStyle.DashOffset = 0F;
      this.diagramComponent.Model.LineStyle.DashStyle = System.Drawing.Drawing2D.DashStyle.Solid;
      this.diagramComponent.Model.LineStyle.EndCap = System.Drawing.Drawing2D.LineCap.Flat;
      this.diagramComponent.Model.LineStyle.LineColor = System.Drawing.Color.Black;
      this.diagramComponent.Model.LineStyle.LineJoin = System.Drawing.Drawing2D.LineJoin.Bevel;
      this.diagramComponent.Model.LineStyle.LineWidth = 2F;
      this.diagramComponent.Model.LineStyle.MiterLimit = 10F;
      this.diagramComponent.Model.LineStyle.Properties = this.diagramComponent.Model;
      this.diagramComponent.Model.MeasurementScale = 1F;
      this.diagramComponent.Model.MeasurementUnits = System.Drawing.GraphicsUnit.Pixel;
      this.diagramComponent.Model.Name = "Model";
      this.diagramComponent.Model.RenderingStyle.Properties = this.diagramComponent.Model;
      this.diagramComponent.Model.RenderingStyle.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.Default;
      this.diagramComponent.Model.ShadowStyle.AlphaFactor = 128;
      this.diagramComponent.Model.ShadowStyle.Color = System.Drawing.Color.LightGray;
      this.diagramComponent.Model.ShadowStyle.OffsetX = 6F;
      this.diagramComponent.Model.ShadowStyle.OffsetY = 6F;
      this.diagramComponent.Model.ShadowStyle.Properties = this.diagramComponent.Model;
      this.diagramComponent.Model.ShadowStyle.Visible = false;
      this.diagramComponent.Model.Width = 816F;
      this.diagramComponent.Model.ChildrenChangeComplete += new Syncfusion.Windows.Forms.Diagram.NodeCollection.EventHandler(this.diagramComponent_Model_ChildrenChangeComplete);
      this.diagramComponent.Name = "diagramComponent";
      this.diagramComponent.NudgeIncrement = 1F;
      this.diagramComponent.ScrollGranularity = 0.5F;
      this.diagramComponent.Size = new System.Drawing.Size(456, 138);
      this.diagramComponent.TabIndex = 13;
      this.diagramComponent.Text = "pepDiagram1";
      // 
      // diagramComponent.View
      // 
      this.diagramComponent.View.BackgroundColor = System.Drawing.Color.DarkGray;
      this.diagramComponent.View.Grid.Color = System.Drawing.Color.Black;
      this.diagramComponent.View.Grid.DashOffset = 4F;
      this.diagramComponent.View.Grid.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash;
      this.diagramComponent.View.Grid.GridStyle = Syncfusion.Windows.Forms.Diagram.GridStyle.Point;
      this.diagramComponent.View.Grid.HorizontalSpacing = 10F;
      this.diagramComponent.View.Grid.SnapToGrid = true;
      this.diagramComponent.View.Grid.VerticalSpacing = 10F;
      this.diagramComponent.View.Grid.Visible = true;
      this.diagramComponent.View.HandleAnchorColor = System.Drawing.Color.LightGray;
      this.diagramComponent.View.HandleColor = System.Drawing.Color.White;
      this.diagramComponent.View.HandleDisabledColor = System.Drawing.Color.Black;
      this.diagramComponent.View.HandleSize = 6;
      this.diagramComponent.View.HorizontalRuler.Visible = false;
      this.diagramComponent.View.MouseTrackingEnabled = true;
      this.diagramComponent.View.PasteOffsetX = 10;
      this.diagramComponent.View.PasteOffsetY = 10;
      this.diagramComponent.View.RulerFillColor = System.Drawing.Color.LightGray;
      this.diagramComponent.View.RulerLineColor = System.Drawing.Color.Black;
      this.diagramComponent.View.RulerSize = 16;
      this.diagramComponent.View.RulerUnits = Syncfusion.Windows.Forms.Diagram.MeasurementsUnit.Inches;
      this.diagramComponent.View.ShowPageBounds = true;
      this.diagramComponent.View.VerticalRuler.Visible = false;
      this.diagramComponent.VScroll = true;
      this.diagramComponent.ChildrenChangeComplete += new Syncfusion.Windows.Forms.Diagram.NodeCollection.EventHandler(this.diagramComponent_ChildrenChangeComplete);
      this.diagramComponent.NodeDoubleClick += new Syncfusion.Windows.Forms.Diagram.NodeMouseEventHandler(this.diagramComponent_NodeDoubleClick);
      this.diagramComponent.MouseUp += new System.Windows.Forms.MouseEventHandler(this.diagramComponent_MouseUp);
      // 
      // DiagramForm
      // 
      this.AllowDrop = true;
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(456, 325);
      this.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                  this.diagramComponent,
                                                                  this.splitter1,
                                                                  this.tabControlAdv1});
      this.Name = "DiagramForm";
      this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Show;
      this.Text = "Overview";
      this.Closing += new System.ComponentModel.CancelEventHandler(this.DiagramForm_Closing);
      this.Load += new System.EventHandler(this.DiagramForm_Load);
      ((System.ComponentModel.ISupportInitialize)(this.childFrameBarManager)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.tabControlAdv1)).EndInit();
      this.tabControlAdv1.ResumeLayout(false);
      this.tabPageAdv1.ResumeLayout(false);
      ((System.ComponentModel.ISupportInitialize)(this.PropertyGrid)).EndInit();
      this.tabPageAdv2.ResumeLayout(false);
      this.tabPageAdv3.ResumeLayout(false);
      this.ResumeLayout(false);

    }
		#endregion

    protected Link CreateLink(PointF[] pts)
    {
      Link link = new Link(pts);
      //link.EndPoints.LastEndPoint = new FilledArrowDecorator();
      return link;
    }

    protected Link CreateDirectedLink(PointF[] pts)
    {
      Link link = new Link(pts);
      EndPointDecoratorModel decoratorMdl = Global.EndPointDecoratorPalette["Filled Arrow"];
      if (decoratorMdl != null)
      {
        link.EndPoints.LastEndPointDecorator = decoratorMdl.CreateInstance();
      }
      return link;
    }

    protected Link CreateOrthogonalLink(PointF[] pts)
    {
      Link link = new Link(Link.Shapes.OrthogonalLine, pts);
      return link;
    }

    protected Link CreateDirectedOrthogonalLink(PointF[] pts)
    {
      Link link = new Link(Link.Shapes.OrthogonalLine, pts);
      EndPointDecoratorModel decoratorMdl = Global.EndPointDecoratorPalette["Filled Arrow"];
      if (decoratorMdl != null)
      {
        link.EndPoints.LastEndPointDecorator = decoratorMdl.CreateInstance();
      }
      return link;
    }

    protected Link CreateArcLink(PointF[] pts)
    {
      Link link = new Link(Link.Shapes.Arc, pts);
      return link;
    }

    private void UpdateMagnificationComboBox()
    {
      System.Drawing.Size szMag = this.diagramComponent.View.Magnification;
      this.comboBoxBarItemMagnification.TextBoxValue = szMag.Width + "%";
    }

    private void toolActivate(object sender, System.EventArgs e)
    {
      Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem = sender as Syncfusion.Windows.Forms.Tools.XPMenus.BarItem;

      if (barItem != null)
      {
        string toolName = (string) barItem.Tag;
        Tool tool = this.diagramComponent.Controller.GetTool(toolName);
        if (tool != null)
        {
          if (tool.Active)
          {
            this.diagramComponent.Controller.DeactivateTool(tool);
          }
          else
          {
            this.diagramComponent.Controller.ActivateTool(tool);
          }
        }
      }
    }

    protected void OnDiagramToolActivate(object sender, Controller.ToolEventArgs evtArgs)
    {
      //this.CheckTool(evtArgs.Tool.Name);
    }

    protected void OnDiagramToolDeactivate(object sender, Controller.ToolEventArgs evtArgs)
    {
      //this.UncheckTool(evtArgs.Tool.Name);
    }

    protected void OnSelectionChanged(object sender, NodeCollection.EventArgs evtArgs)
    {
      this.UpdateUITextFormatting();
    }

    private void barItemLinkSymbols_Click(object sender, System.EventArgs e)
    {
      Tool linkTool = this.diagramComponent.Controller.GetTool("LinkTool");
      if (linkTool != null)
      {
        this.diagramComponent.Controller.ActivateTool(linkTool);
      }
    }

    private void barItemShowGrid_Click(object sender, System.EventArgs e)
    {
      this.barItemShowGrid.Checked = !this.barItemShowGrid.Checked;
      this.diagramComponent.View.Grid.Visible = this.barItemShowGrid.Checked;
    }

    private void barItemSnapToGrid_Click(object sender, System.EventArgs e)
    {
      this.barItemSnapToGrid.Checked = !this.barItemSnapToGrid.Checked;
      this.diagramComponent.View.Grid.SnapToGrid = this.barItemSnapToGrid.Checked;
    }

    private void DiagramForm_Load(object sender, System.EventArgs e)
    {
      this.barItemShowGrid.Checked = this.diagramComponent.View.Grid.Visible;
      this.barItemSnapToGrid.Checked = this.diagramComponent.View.Grid.SnapToGrid;
      UpdateMagnificationComboBox();

      // Attach link factory to the default link tool
      Tool linkTool = this.diagramComponent.Controller.GetTool("LinkTool");
      if (linkTool != null && linkTool.GetType() == typeof(LinkTool))
      {
        ((LinkTool)linkTool).LinkFactory = new LinkFactory(this.CreateLink);
      }

      // Create and register a tool for orthogonal links
      LinkTool orthogonalLinkTool = new LinkTool("OrthogonalLinkTool");
      orthogonalLinkTool.LinkFactory = new LinkFactory(this.CreateOrthogonalLink);
      this.diagramComponent.Controller.RegisterTool(orthogonalLinkTool);

      // Create and register a tool for directed links
      LinkTool directedLinkTool = new LinkTool("DirectedLinkTool");
      directedLinkTool.LinkFactory = new LinkFactory(this.CreateDirectedLink);
      this.diagramComponent.Controller.RegisterTool(directedLinkTool);

      // Create and register a tool for arc links
      LinkTool arcLinkTool = new LinkTool("ArcLinkTool");
      arcLinkTool.LinkFactory = new LinkFactory(this.CreateArcLink);
      this.diagramComponent.Controller.RegisterTool(arcLinkTool);

      // Set focus to the diagram control
      this.diagramComponent.Focus();
    }

    private void comboBoxBarItemMagnification_Click(object sender, System.EventArgs e)
    {
      string strMagValue = this.comboBoxBarItemMagnification.TextBoxValue;
      int idxPctSign = strMagValue.IndexOf('%');
      if (idxPctSign >= 0)
      {
        strMagValue = strMagValue.Remove(idxPctSign, 1);
      }
      int magVal = System.Convert.ToInt32(strMagValue);
      this.diagramComponent.View.Magnification = new System.Drawing.Size(magVal, magVal);
      this.diagramComponent.Refresh();
    }

    private void diagramComponent_View_MagnificationChanged(object sender, ViewMagnificationEventArgs evtArgs)
    {
      UpdateMagnificationComboBox();
    }

    private void barItemBringToFront_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.BringToFront();
    }

    private void barItemSendToBack_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.SendToBack();
    }

    private void barItemBringForward_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.BringForward();
    }

    private void barItemSendBackward_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.SendBackward();
    }

    private void barItemNudgeUp_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.NudgeUp();
    }

    private void barItemNudgeDown_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.NudgeDown();
    }

    private void barItemNudgeLeft_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.NudgeLeft();
    }

    private void barItemNudgeRight_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.NudgeRight();
    }

    private void barItemRotateLeft_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Rotate(-90);
    }

    private void barItemRotateRight_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Rotate(90);
    }

    private void barItemFlipVertical_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.FlipVertical();
    }

    private void barItemFlipHorizontal_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.FlipHorizontal();
    }

    private void barItemImage_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.InsertImage();
    }

    private void DiagramForm_Closing(object sender, System.ComponentModel.CancelEventArgs e)
    {
      PropertyEditor propEditor = this.PropertyEditor;
      if (propEditor != null)
      {
        propEditor.Diagram = null;
      }
    }

    private void barItemOrthogonalLink_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.ActivateTool("OrthogonalLinkTool");
    }

    private void barItemDirectedLink_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.ActivateTool("DirectedLinkTool");
    }

    private void barItemArcLink_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.ActivateTool("ArcLinkTool");
    }

    private void LoadFontSelections()
    {
      // Create ListBox containing names of font families and attach it to the
      // font family combo box bar item
      this.comboBoxBarItemFontFamily.ListBox = new ListBox();
      foreach (FontFamily curFontFamily in System.Drawing.FontFamily.Families)
      {
        this.comboBoxBarItemFontFamily.ListBox.Items.Add(curFontFamily.Name);
      }
      this.comboBoxBarItemFontFamily.ListBox.SelectedIndexChanged += new System.EventHandler(this.FontFamily_SelectedIndexChanged);

      // Create ListBox containing point sizes and attach to the point size combo
      // box bar item
      ListBox pointSizeListBox = new ListBox();
      int[] ptSizes = new int[] { 8, 9, 10, 11, 12, 14, 16, 18, 20, 22, 24, 26, 28, 36, 48, 72 };
      foreach (int ptSize in ptSizes)
      {
        pointSizeListBox.Items.Add(ptSize);
      }
      this.comboBoxBarItemPointSize.ListBox = pointSizeListBox;
      this.comboBoxBarItemPointSize.ListBox.SelectedIndexChanged += new System.EventHandler(this.PointSize_SelectedIndexChanged);
    }

    private void FontFamily_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      int selectedIdx = this.comboBoxBarItemFontFamily.ListBox.SelectedIndex;
      if (selectedIdx >= 0)
      {
        string fontFamily = (string) this.comboBoxBarItemFontFamily.ListBox.Items[selectedIdx];
        this.diagramComponent.Controller.TextFormatter.FontFamily = fontFamily;
      }
    }

    private void PointSize_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      int selectedIdx = this.comboBoxBarItemPointSize.ListBox.SelectedIndex;
      if (selectedIdx >= 0)
      {
        int ptSize = (int) this.comboBoxBarItemPointSize.ListBox.Items[selectedIdx];
        this.diagramComponent.Controller.TextFormatter.PointSize = (float) ptSize;
      }
    }

    private void UpdateUITextFormatting()
    {
      Syncfusion.Windows.Forms.Diagram.Controller controller = this.diagramComponent.Controller;

      // Update font family bar item
      string fontFamily = controller.TextFormatter.FontFamily;
      if (fontFamily != null && fontFamily.Length > 0)
      {
        bool found = false;

        for (int itemIdx = 0; !found && itemIdx < this.comboBoxBarItemFontFamily.ListBox.Items.Count; itemIdx++)
        {
          string curFontFamilyName = (string) this.comboBoxBarItemFontFamily.ListBox.Items[itemIdx];
          if (curFontFamilyName == fontFamily)
          {
            this.comboBoxBarItemFontFamily.ListBox.SelectedIndex = itemIdx;
            this.comboBoxBarItemFontFamily.TextBoxValue = fontFamily;
            found = true;
          }
        }
      }

      // Update Bold, Italic, and Underline bar items
      this.barItemBoldText.Checked = controller.TextFormatter.Bold;
      this.barItemItalicText.Checked = controller.TextFormatter.Italic;
      this.barItemUnderlineText.Checked = controller.TextFormatter.Underline;

      // Update point size bar item
      float ptSize = controller.TextFormatter.PointSize;
      this.comboBoxBarItemPointSize.TextBoxValue = ptSize.ToString();

      // Update text alignment bar items
      StringAlignment horzAlign = controller.TextFormatter.HorizontalAlignment;
      if (horzAlign == StringAlignment.Near)
      {
        this.barItemAlignTextLeft.Checked = true;
        this.barItemCenterText.Checked = false;
        this.barItemAlignTextRight.Checked = false;
      }
      else if (horzAlign == StringAlignment.Center)
      {
        this.barItemAlignTextLeft.Checked = false;
        this.barItemCenterText.Checked = true;
        this.barItemAlignTextRight.Checked = false;
      }
      else if (horzAlign == StringAlignment.Far)
      {
        this.barItemAlignTextLeft.Checked = false;
        this.barItemCenterText.Checked = false;
        this.barItemAlignTextRight.Checked = true;
      }
    }

    private void barItemBoldText_Click(object sender, System.EventArgs e)
    {
      bool newValue = !(this.diagramComponent.Controller.TextFormatter.Bold);
      this.diagramComponent.Controller.TextFormatter.Bold = newValue;
      this.barItemBoldText.Checked = newValue;
    }

    private void barItemItalicText_Click(object sender, System.EventArgs e)
    {
      bool newValue = !(this.diagramComponent.Controller.TextFormatter.Italic);
      this.diagramComponent.Controller.TextFormatter.Italic = newValue;
      this.barItemItalicText.Checked = newValue;
    }

    private void barItemUnderlineText_Click(object sender, System.EventArgs e)
    {
      bool newValue = !(this.diagramComponent.Controller.TextFormatter.Underline);
      this.diagramComponent.Controller.TextFormatter.Underline = newValue;
      this.barItemUnderlineText.Checked = newValue;
    }

    private void barItemTextColor_Click(object sender, System.EventArgs e)
    {
      ColorDialog dlg = new ColorDialog();
      dlg.Color = this.diagramComponent.Controller.TextFormatter.TextColor;
      if (dlg.ShowDialog(this) == DialogResult.OK)
      {
        this.diagramComponent.Controller.TextFormatter.TextColor = dlg.Color;
      }
    }

    private void barItemAlignTextLeft_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.TextFormatter.HorizontalAlignment = StringAlignment.Near;
      this.barItemAlignTextLeft.Checked = true;
      this.barItemCenterText.Checked = false;
      this.barItemAlignTextRight.Checked = false;
    }

    private void barItemCenterText_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.TextFormatter.HorizontalAlignment = StringAlignment.Center;
      this.barItemCenterText.Checked = true;
      this.barItemAlignTextLeft.Checked = false;
      this.barItemAlignTextRight.Checked = false;
    }

    private void barItemAlignTextRight_Click(object sender, System.EventArgs e)
    {
      this.diagramComponent.Controller.TextFormatter.HorizontalAlignment = StringAlignment.Far;
      this.barItemAlignTextRight.Checked = true;
      this.barItemAlignTextLeft.Checked = false;
      this.barItemCenterText.Checked = false;
    }

    private void tabPage2_Click(object sender, System.EventArgs e)
    {
		
    }

    private void tabControlAdv1_Click(object sender, System.EventArgs e)
    {
      this.tabControlAdv1.Height  = 200;
    }

    private void gradientPanel1_DoubleClick(object sender, System.EventArgs e)
    {
      tabControlAdv1.Height = 24;
    }

    private void gradientPanel2_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
    {
      tabControlAdv1.Height = 24;		
    }

    private void tabPageAdv2_Click(object sender, System.EventArgs e)
    {
      this.tabControlAdv1.Height  = 200;
    }

    private void gradientPanel1_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
    {
    }

    // Capture the double click on the symbol within the diagram
    private void diagramComponent_NodeDoubleClick(object sender, Syncfusion.Windows.Forms.Diagram.NodeMouseEventArgs evtArgs)
    {
      /*
       if((evtArgs.Node != null) && (evtArgs.Node is Symbol))
       {
         Symbol symbolclicked = evtArgs.Node as Symbol;
         symbolclicked.AddLabel("Hello world",0);
         MessageBox.Show( symbolclicked.Name );
       }
      */
    }

    // This routine will be called whenever a symbol is added to or removed from the diagram 
    private void diagramComponent_Model_ChildrenChangeComplete(object sender, Syncfusion.Windows.Forms.Diagram.NodeCollection.EventArgs evtArgs)
    {
			
    }
  

    // Refresh the propert grid
    private void UpdateProperyGrid()
    {
      int NodeCount = Diagram.Model.Nodes.Count;
      int nLoop = 0;
      //PropertyGrid.ClearCells;
      PropertyGrid.ClearCells( Syncfusion.Windows.Forms.Grid.GridRangeInfo.Table() ,true);
      for ( nLoop = 0; nLoop < NodeCount; nLoop++ )
      {
        INode MyNode = this.Diagram.Model.GetChild( nLoop );
        PropertyGrid[1+nLoop,1].CellValue = MyNode.FullName;
      }
    }


    
    private void diagramComponent_ChildrenChangeComplete(object sender, Syncfusion.Windows.Forms.Diagram.NodeCollection.EventArgs evtArgs)
    {
      UpdateProperyGrid();

      MainForm mainForm = this.MdiParent as MainForm;
      if (evtArgs.ChangeType.ToString() == "Insert" )
      {
        mainForm.statusBar1.Text = "Last node added: "+evtArgs.Node.Name.ToString();
      }
      else if(evtArgs.ChangeType.ToString() == "Remove" )
      {
        mainForm.statusBar1.Text = "Last node removed: "+evtArgs.Node.Name.ToString();
      }		
    }

    private void diagramComponent_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
    {
      if (e.Button == MouseButtons.Right) 
      {
        NodeCollection nodeList;
        nodeList = new Diagram.NodeCollection();
        
        System.Drawing.Point point = new System.Drawing.Point();
        point.X = e.X;
        point.Y = e.Y;
        
        diagramComponent.View.GetNodesAtPoint(nodeList, (NodeCollection)diagramComponent.Model.Nodes, point);
        
        bool boolChild    = false;
        bool boolRef      = false;
        bool boolSymFound = false;
        
        foreach (Symbol sym in nodeList)
        {
          boolSymFound = true;
          if (sym.Labels.Count > 0)
          {
            IEnumerator enumList = sym.Labels.GetEnumerator();
            bool boolMoved = enumList.MoveNext();
            
            while (boolMoved)
            {
              PEPSymbolLabel pepLabel = (PEPSymbolLabel)enumList.Current;

              if (pepLabel.LabelType == LabelTypes.Child)
              {
                boolChild = true;
              }
              else if (pepLabel.LabelType == LabelTypes.Ref)
              {
                boolRef = true;
              }
              boolMoved = enumList.MoveNext();
            }
          }
          currentlySelectedSymbol = sym;
        }

        if (boolSymFound)
          ConfigureTheContextMenu(boolChild, boolRef);

        if ((boolSymFound) && ((popAdd.Enabled) || (popRemove.Enabled)))
          contextMenu.Show(this, point);
      }    
    }
    
    private void ConfigureTheContextMenu(bool pChild, bool pRef)
    {
      if (!pChild && !pRef)
      {
        popAdd.Enabled         = true;
        popAddChild.Enabled    = true;
        popAddRef.Enabled      = true;
        popRemove.Enabled      = false;
        popRemoveChild.Enabled = false;
        popRemoveRef.Enabled   = false;
      }
      else if (pChild && pRef)
      {
        popAdd.Enabled         = false;
        popRemove.Enabled      = false;
      }
      else if (pChild && !pRef)
      {
        popAdd.Enabled         = true;
        popAddChild.Enabled    = false;
        popAddRef.Enabled      = true;
        popRemove.Enabled      = true;
        popRemoveChild.Enabled = true;
        popRemoveRef.Enabled   = false;
      }
      else if (!pChild && pRef)
      {
        popAdd.Enabled         = true;
        popAddChild.Enabled    = true;
        popAddRef.Enabled      = false;
        popRemove.Enabled      = true;
        popRemoveChild.Enabled = false;
        popRemoveRef.Enabled   = true;
      }
    }

    private Symbol currentlySelectedSymbol = null;

    private void popAddRef_Click(object sender, System.EventArgs e)
    {
      if (openFileDialog.ShowDialog() == DialogResult.OK)
      {
        PEPSymbolLabel pepLabel = new PEPSymbolLabel();
        pepLabel.LabelType      = LabelTypes.Ref;
        pepLabel.ReferencePath  = openFileDialog.FileName;
        currentlySelectedSymbol.Labels.Add(pepLabel);
        diagramComponent.Refresh();
      }
    }

    private void popAddChild_Click(object sender, System.EventArgs e)
    {
      if (openFileDialog.ShowDialog() == DialogResult.OK)
      {
        PEPSymbolLabel pepLabel     = new PEPSymbolLabel();
        pepLabel.LabelType          = LabelTypes.Child;
        FileInfo fileInfo           = new FileInfo(openFileDialog.FileName);
        pepLabel.ChildProcessName   = fileInfo.Name;
        currentlySelectedSymbol.Labels.Add(pepLabel);
        diagramComponent.Refresh();
      }
    }

    private void popRemoveRef_Click(object sender, System.EventArgs e)
    {
    
    }

    private void popRemoveChild_Click(object sender, System.EventArgs e)
    {
    
    }



    
    
    
    

  }


}
