using System;
using System.ComponentModel;
using System.Runtime.Serialization;


namespace Syncfusion.Windows.Forms.Diagram.Samples.DiagramTool
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
  
  [
  Serializable()
  ]
  public class PEPModel: Syncfusion.Windows.Forms.Diagram.Model
	{
		public PEPModel()
		{
			//
			// TODO: Add constructor logic here
			//
		}
    
    protected override void GetObjectData(SerializationInfo info, StreamingContext context)
    {
      base.GetObjectData(info, context);
      info.AddValue("totalCost",     this.totalCost);
      info.AddValue("totalDuration", this.totalDuration);
    }
    
    /// <summary>
    /// Serialization constructor
    /// </summary>
    /// <param name="info">Serialization state information</param>
    /// <param name="context">Streaming context information</param>
    protected PEPModel(SerializationInfo info, StreamingContext context) : base(info, context)
    {
      this.TotalCost     = info.GetUInt16("totalCost");
      this.TotalDuration = info.GetUInt16("totalDuration");
    }
  
  
    public override void SetDefaultPropertyValues()
    {
      base.SetDefaultPropertyValues();
      //this.SetPropertyValue( "totalCost",     0);
      //this.SetPropertyValue( "totalDuration", 0);
    }
    
    private int totalCost;
    private int totalDuration;
    
    [
    Browsable(true),
    Category("Process Properties"),
    Description("Total Cost of all of the properties on this map")
    ]
    public int TotalCost
    {
      get
      {
        return totalCost;
      }

      set 
      { 
        this.totalCost = value;
      }
    }
    
    [
    Browsable(true),
    Category("Process Properties"),
    Description("Total Duration of all of the symbols on this map")
    ]
    public int TotalDuration
    {
      get
      {
        return totalDuration;
      }

      set
      {
        this.totalDuration = value;
      }
    }
  }
}
